package thaumcraft.common.items.armor;

package ..deTemp.1742149290066;

import net.minecraft.client.renderer.ItemMeshDefinition;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.item.EnumRarity;
import net.minecraft.item.Item;
import net.minecraft.item.ItemArmor;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import thaumcraft.api.items.IWarpingGear;
import thaumcraft.api.items.ItemsTC;
import thaumcraft.common.config.ConfigItems;
import thaumcraft.common.items.IThaumcraftItems;

public class ItemVoidArmor extends ItemArmor implements IWarpingGear, IThaumcraftItems {
  public ItemVoidArmor(String name, ItemArmor.ArmorMaterial enumarmormaterial, int j, EntityEquipmentSlot k) {
    super(enumarmormaterial, j, k);
    func_77637_a(ConfigItems.TABTC);
    setRegistryName(name);
    func_77655_b(name);
    ConfigItems.ITEM_VARIANT_HOLDERS.add(this);
  }
  
  public Item getItem() {
    return (Item)this;
  }
  
  public String[] getVariantNames() {
    return new String[] { "normal" };
  }
  
  public int[] getVariantMeta() {
    return new int[] { 0 };
  }
  
  @SideOnly(Side.CLIENT)
  public ItemMeshDefinition getCustomMesh() {
    return null;
  }
  
  public ModelResourceLocation getCustomModelResourceLocation(String variant) {
    return new ModelResourceLocation("thaumcraft:" + variant);
  }
  
  public String getArmorTexture(ItemStack stack, Entity entity, EntityEquipmentSlot slot, String type) {
    if (stack.func_77973_b() == ItemsTC.voidHelm || stack
      .func_77973_b() == ItemsTC.voidChest || stack
      .func_77973_b() == ItemsTC.voidBoots)
      return "thaumcraft:textures/entity/armor/void_1.png"; 
    if (stack.func_77973_b() == ItemsTC.voidLegs)
      return "thaumcraft:textures/entity/armor/void_2.png"; 
    return "thaumcraft:textures/entity/armor/void_1.png";
  }
  
  public EnumRarity func_77613_e(ItemStack itemstack) {
    return EnumRarity.UNCOMMON;
  }
  
  public boolean func_82789_a(ItemStack stack1, ItemStack stack2) {
    return stack2.func_77969_a(new ItemStack(ItemsTC.ingots, 1, 1)) ? true : super
      .func_82789_a(stack1, stack2);
  }
  
  public void func_77663_a(ItemStack stack, World world, Entity entity, int p_77663_4_, boolean p_77663_5_) {
    super.func_77663_a(stack, world, entity, p_77663_4_, p_77663_5_);
    if (!world.field_72995_K && stack.func_77951_h() && entity.field_70173_aa % 20 == 0 && entity instanceof EntityLivingBase)
      stack.func_77972_a(-1, (EntityLivingBase)entity); 
  }
  
  public void onArmorTick(World world, EntityPlayer player, ItemStack armor) {
    super.onArmorTick(world, player, armor);
    if (!world.field_72995_K && armor.func_77952_i() > 0 && player.field_70173_aa % 20 == 0)
      armor.func_77972_a(-1, (EntityLivingBase)player); 
  }
  
  public int getWarp(ItemStack itemstack, EntityPlayer player) {
    return 1;
  }
}
